Subject: [Isis-wg] Carrying MT info in MT-ISIS

From: Leela Janaki P <[email-masked]>
Date: Wed, 4 Nov 2009 13:15:59 +0530

Hello,
I have a question regarding carrying Multi-topology TLVs in ISIS.

For point to point interfaces, RFC5120 says that MT IS TLV in an LSP MUST contain the reachability of the topology only when the adjacency is enabled for that topology. This seems to imply that if an IS contains multiple adjacencies , each with different topologies , then the LSPs sent out on each of them will be different. I just want to confirm if this is the desired behaviour. Alternately is it permitted for an IS to send a single LSP containing information of all topologies supported by the IS or to send out a separate LSP one for each topology.

Thanks,
Leela

DISCLAIMER:
-----------------------------------------------------------------------------------------------------------------------

The contents of this e-mail and any attachment(s) are confidential and intended for the named recipient(s) only. 
It shall not attach any liability on the originator or HCL or its affiliates. Any views or opinions presented in 
this email are solely those of the author and may not necessarily reflect the opinions of HCL or its affiliates. 
Any form of reproduction, dissemination, copying, disclosure, modification, distribution and / or publication of 
this message without the prior written consent of the author of this e-mail is strictly prohibited. If you have 
received this email in error please delete it and notify the sender immediately. Before opening any mail and 
attachments please check them for viruses and defect.

-----------------------------------------------------------------------------------------------------------------------

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 4 Nov 2009 01:16:37 -0800

Leela -

On a given link a router is configured to support a set of topologies. When it forms an adjacency on that link, only the topologies which are supported by both routers (i.e. the intersection of the set of supported topologies advertised by each router in its IIHs) can be used in MT Intermediate Systems TLV (222).

Consider the following simple example:

A----B----C

A supports topologies 0,10
B supports topologies 0, 10, 20 on all links
C supports topologies 0, 20

B forms an adjacency with A. The intersection of the set of supported topologies is (0,10).
B forms adjacency with C. The intersection of the set of supported topologies is (0,20).

In its LSPs B will advertise:

TLV 22
  Neighbor A
  Neighbor C

TLV 222
   MTID 10 Neighbor A
   MTID 20 Neighbor C

This information will be flooded on all links.

LSPs are not generated differently based on which link they are flooded on. And the set of LSPs generated contain information about reachability to all supported topologies.

   Les

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Leela Janaki P
> Sent: Tuesday, November 03, 2009 11:46 PM
> To: [email-masked]'
> Subject: [Isis-wg] Carrying MT info in MT-ISIS
> 
> Hello,
> 
> For point to point interfaces, RFC5120 says that MT IS TLV in an LSP
> MUST contain the reachability of the topology only when the adjacency
> is enabled for that topology. This seems to imply that if an IS
> contains multiple adjacencies , each with different topologies , then
> the LSPs sent out on each of them will be different. I just want to
> confirm if this is the desired behaviour. Alternately is it permitted
> for an IS to send a single LSP containing information of all topologies
> supported by the IS or to send out a separate LSP one for each
> topology.
> 
> 
> 
> Thanks,
> 
> Leela
> 
> DISCLAIMER:
> -----------------------------------------------------------------------
> ------------------------------------------------
> 
> The contents of this e-mail and any attachment(s) are confidential and
> intended for the named recipient(s) only.
> It shall not attach any liability on the originator or HCL or its
> affiliates. Any views or opinions presented in this email are solely
> those of the author and may not necessarily reflect the opinions of HCL
> or its affiliates.
> Any form of reproduction, dissemination, copying, disclosure,
> modification, distribution and / or publication of this message without
> the prior written consent of the author of this e-mail is strictly
> prohibited. If you have received this email in error please delete it
> and notify the sender immediately. Before opening any mail and
> -----------------------------------------------------------------------
> ------------------------------------------------

---

From: Leela Janaki P <[email-masked]>
Date: Wed, 4 Nov 2009 15:16:11 +0530

Les,
Thanks a lot for the detailed explanation.
Section 3 of RFC 5120 says " A router MUST announce the MT IS TLV when there is at least one adjacency on the interface that belongs to this MT, otherwise it MAY announce the MT IS TLV of an adjacency for a given MT if this interface participates in the LAN".

The statement implies that on interfaces which are not LANs, the LSP sent out need not contain information about the topologies in which the adjacency does not participate.
So, this seems to suggest that in your example,IS reachability for MT ID 10 need not be sent on adjacency BC and IS reachability for MT ID 20 should not be sent on adjacency AB.

Regards
Leela
-----Original Message-----
From: Les Ginsberg (ginsberg) [mailto:[email-masked]]
Sent: Wednesday, November 04, 2009 2:47 PM
To: Leela Janaki P; [email-masked]
Subject: RE: [Isis-wg] Carrying MT info in MT-ISIS

Leela -

A----B----C

TLV 22
  Neighbor A
  Neighbor C

TLV 222
   MTID 10 Neighbor A
   MTID 20 Neighbor C

   Les

---

From: mike shand <[email-masked]>
Date: Wed, 04 Nov 2009 10:47:57 +0000

Leela,

    As Les said, LSPs are not generated differently based on which link 
they are flooded on. Sectioon 3 is describing th construction of the 
LSPs, not the flooding of them.

The MTs supported by the neighbors, and by the local system determine 
which MTids are advertised in the LSPs, but the LSPs are flooded 
identically over all the adjacencies.

    i.e. there is  a single flooding domain which contains information 
about all the multiple topologies.

    this is distinct from draft-ietf-isis-mi-02.txt, where there is 
effectively a separate instance of flodding domain per topology.

    Mike

Leela Janaki P wrote:
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg
>
>